services:
    elbotrade.gallery_bundle.media_finder:
        class: Elbotrade\Bundle\GalleryBundle\Service\GalleryFinder
        arguments:
            - @doctrine.orm.entity_manager

    elbotrade.gallery_bundle.gallery_manager:
        class: Elbotrade\Bundle\GalleryBundle\Service\GalleryManager
        arguments:
            - @doctrine.orm.entity_manager
            - @sonata.media.manager.media
            - %kernel.root_dir%
            - @sonata.media.provider.image